import java.util.Scanner;

public class Nadovezivanje {

    public static void main(String[] args) {
        Scanner sc = new Scanner (System.in);
        int a,b,c;
        a = sc.nextInt();
        b = sc.nextInt();
        c = sc.nextInt();
        
        int na = 0;
        int nb = 0;
        int nc = 0;
        
        double pa = Math.pow(10, 18);
        while(pa>a){
            pa = pa/10;
            na++;
        }
        int bca = (18-na)+1;
        
        double pb = Math.pow(10, 18);
        while(pb>b){
            pb = pb/10;
            nb++;
        }
        int bcb = (18-nb)+1;
        
        double pc = Math.pow(10, 18);
        while(pc>c){
            pc = pc/10;
            nc++;
        }
        int bcc = (18-nc)+1;
        
        int ubc = bca + bcb + bcc;
        
        double v1 = a*Math.pow(10, (ubc-bca)) + b*Math.pow(10,(ubc-bca-bcb)) + c;
        double v2 = a*Math.pow(10, (ubc-bca)) + c*Math.pow(10,(ubc-bca-bcc)) + b;
        double v3 = c*Math.pow(10, (ubc-bcc)) + a*Math.pow(10,(ubc-bcc-bca)) + b;
        double v4 = c*Math.pow(10, (ubc-bcc)) + a*Math.pow(10,(ubc-bcc-bcb)) + a;
        double v5 = b*Math.pow(10, (ubc-bcb)) + c*Math.pow(10,(ubc-bcb-bcc)) + a;
        double v6 = b*Math.pow(10, (ubc-bcb)) + a*Math.pow(10,(ubc-bcb-bca)) + c;
        
        double max1 = Math.max(v1, v2);
        double max2 = Math.max(v3, v4);
        double max3 = Math.max(v5, v6);
        double max4 = Math.max(max1, max2);
        double max5 = Math.max(max3, max4);
        System.out.println(max5);
    }
    
}